%define upstream_name    Catalyst-Controller-HTML-FormFu
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Hidden text field which contains a unique token
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Catalyst-Controller-HTML-FormFu-1.00-fix-yaml-error.patch

BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::Component::InstancePerContext)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader) >= 0.230.0
BuildRequires: perl(Catalyst::Plugin::Session)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session::Store::File)
BuildRequires: perl(Catalyst::Runtime) >= 5.710.10
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(Config::Any)
BuildRequires: perl(Config::General)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::FormFu) >= 0.90.70
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Attribute::Chained)
BuildRequires: perl(Regexp::Assemble)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Aggregate::Nested)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Test::WWW::Mechanize) >= 1.160.0
BuildRequires: perl(Test::WWW::Mechanize::Catalyst)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

Requires:   perl(Catalyst::Component::InstancePerContext)
%description
As of version 0.02000, the HTML::FormFu manpage doesn't use the TT template
files by default - it uses in internal rendering engine.

If you don't want to customise the generated markup, you don't need to use
the Catalyst::Helper::HTML::FormFu manpage at all.

If you want to customise the generated markup, you'll need a local copy of
the template files. To create the files in the default 'root/formfu'
directory, run:

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-5.mga6
+ Revision: 1022853
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 1.0.0-4.mga6
+ Revision: 951165
- Mageia 6 Mass Rebuild

* Thu Dec 11 2014 sander85 <sander85> 1.0.0-3.mga5
+ Revision: 802678
- Fix YAML error

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 586531
- update to 1.00

* Fri Oct 18 2013 umeabot <umeabot> 0.90.40-3.mga4
+ Revision: 509588
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.40-2.mga3
+ Revision: 363893
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.90.40-1.mga3
+ Revision: 297970
- update to 0.09004

* Wed Jun 15 2011 jquelin <jquelin> 0.90.30-1.mga2
+ Revision: 106508
- update to 0.09003

* Mon Apr 04 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 80318
- update to 0.09000

* Thu Jan 27 2011 jquelin <jquelin> 0.80.20-1.mga1
+ Revision: 41834
- mageia rebuild
- imported package perl-Catalyst-Controller-HTML-FormFu

